Archive a rate card
curl --request POST \
--url https://api.metronome.com/v1/contract-pricing/rate-cards/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "12b21470-4570-40df-8998-449d0b0bc52f"
}
'import requests
url = "https://api.metronome.com/v1/contract-pricing/rate-cards/archive"
payload = { "id": "12b21470-4570-40df-8998-449d0b0bc52f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '12b21470-4570-40df-8998-449d0b0bc52f'})
};
fetch('https://api.metronome.com/v1/contract-pricing/rate-cards/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc"
}
}{
"message": "<string>"
}Rate cards
Archive a rate card
Permanently disable a rate card by archiving it, preventing use in new contracts while preserving existing contract pricing. Use this when retiring old pricing models, consolidating rate cards, or removing outdated pricing structures. Returns the archived rate card ID and stops the rate card from appearing in contract creation workflows.
POST
/
v1
/
contract-pricing
/
rate-cards
/
archive
Archive a rate card
⌘I